post
https://enact.lcp.com/api/enactApi/Plant/data/fuelList
Get a list of fuels for each of the different 'Dispatch' types.
This endpoint will return a list of fuels, given a dispatch type. If no dispatch type is provided, it will return a list of all fuels.
Using the LCPDelta Python Package
Synchronous (package version 2.2.3 and later)
from lcp_delta import enact
enact_api_helper = enact.APIHelper(username, public_api_key)
fuels = enact_api_helper.get_list_of_fuels("Dispatchable")
print(fuels)Asynchronous (package version 2.2.3 and later)
from lcp_delta import enact
import asyncio
async def main():
enact_api_helper = enact.APIHelper(username, public_api_key)
fuels = enact_api_helper.get_list_of_fuels_async("Dispatchable")
print(fuels)
asyncio.run(main())Using the API directly to return a list of all fuels
To return a list of all fuels when using the API directly, pass an empty string for the dispatchType parameter.
{"dispatchType":""}